Downloads: Ubuntu Installation Notes

Ubuntu INSTALL

Here is the list of packages/dependencies you must install to build both GNUstep and Etoile on your Ubuntu system. These dependencies may vary a bit depending on your Ubuntu version. If you want to update dependency list, you should check dependency names to know whether they are different on Ubuntu versions other than the one you currently use. Distinct package list for all Ubuntu versions can be found here: http://packages.ubuntulinux.org/

The dependency lists available below are the shortest possible, that means they will implicitely install various other dependencies. For example, we only suggest development packages (suffixed by -dev) because they result in the installation of the related libraries and tools in addition to the headers they are in charge of installing. To take a concrete case: libtiff4-dev installs libtiff4. Time to time, we indicate dependencies which could be omitted because another package depends on it and would install them in all cases. libtiff4-dev will install among others libtiff4, libjpeg62-dev so specifying libjpeg62-dev isn't truly necessary but just helps to make clear we have a dependency on a jpeg library.

The LLVM version (llvm-dev) that is currently required by Smalltalk and LanguageKit is either the latest release or the developement trunk version of the LLVM repository (See INSTALL). In other words, the LLVM versions packaged in Ubuntu are always too old to be used. You can download the latest LLVM release from http://llvm.org

Main Dependencies

Ubuntu 10.4 to 11.10 (Lucid Lynx to Oneiric Ocelot)

  • gobjc
  • libxml2-dev
  • libxslt1-dev
  • libffi-dev
  • libssl-dev
  • libgnutls-dev
  • libicu-dev
  • libjpeg62-dev
  • libtiff4-dev
  • libpng12-dev
  • libgif-dev
  • libfreetype6-dev
  • libx11-dev
  • libcairo2-dev
  • libxft-dev
  • libxmu-dev

Ubuntu 8.04 (Hardy Heron)

Both make and openssl should be now installed by default. libffi is now available in Ubuntu (better to use it rather than ffcall).

  • gobjc-4.2
  • libxml2-dev
  • libxslt1-dev
  • libffi4-dev
  • libssl-dev
  • libgnutls-dev
  • libjpeg62-dev
  • libtiff4-dev
  • libpng12-dev
  • libgif-dev
  • libfreetype6-dev
  • libx11-dev
  • libcairo2-dev
  • libxft-dev
  • libxmu-dev